Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision 6f0841afb57916ffe2e660310f1ff1062d59144a)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision 02ce363b06a8f5ac471e055cfd494a84e197010f)
@@ -28,4 +28,5 @@
 #include "CodePatterns/Assert.hpp"
 #include "CodePatterns/Log.hpp"
+#include "CodePatterns/Observer/Notification.hpp"
 
 #include "Descriptors/AtomIdDescriptor.hpp"
@@ -47,8 +48,8 @@
 {
   // sign on as observer (obtain non-const instance before)
-  atomref->signOn(this, atomref->getChannel(AtomObservable::IndexChanged));
-  atomref->signOn(this, atomref->getChannel(AtomObservable::PositionChanged));
-  atomref->signOn(this, atomref->getChannel(AtomObservable::ElementChanged));
-  atomref->signOn(this, atomref->getChannel(AtomObservable::BondsChanged));
+  atomref->signOn(this, AtomObservable::IndexChanged);
+  atomref->signOn(this, AtomObservable::PositionChanged);
+  atomref->signOn(this, AtomObservable::ElementChanged);
+  atomref->signOn(this, AtomObservable::BondsChanged);
 
   // set the object's id
@@ -62,8 +63,8 @@
 GLMoleculeObject_atom::~GLMoleculeObject_atom()
 {
-  _atom->signOff(this, _atom->getChannel(AtomObservable::IndexChanged));
-  _atom->signOff(this, _atom->getChannel(AtomObservable::PositionChanged));
-  _atom->signOff(this, _atom->getChannel(AtomObservable::ElementChanged));
-  _atom->signOff(this, _atom->getChannel(AtomObservable::BondsChanged));
+  _atom->signOff(this, AtomObservable::IndexChanged);
+  _atom->signOff(this, AtomObservable::PositionChanged);
+  _atom->signOff(this, AtomObservable::ElementChanged);
+  _atom->signOff(this, AtomObservable::BondsChanged);
 }
 
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.hpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.hpp	(revision 6f0841afb57916ffe2e660310f1ff1062d59144a)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.hpp	(revision 02ce363b06a8f5ac471e055cfd494a84e197010f)
@@ -16,5 +16,5 @@
 #include "GLMoleculeObject.hpp"
 
-#include "CodePatterns/Observer.hpp"
+#include "CodePatterns/Observer/Observer.hpp"
 
 #include "Atom/atom.hpp"
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision 6f0841afb57916ffe2e660310f1ff1062d59144a)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision 02ce363b06a8f5ac471e055cfd494a84e197010f)
@@ -27,4 +27,5 @@
 
 #include "CodePatterns/Log.hpp"
+#include "CodePatterns/Observer/Notification.hpp"
 
 #include "World.hpp"
@@ -45,6 +46,6 @@
   // sign on to changes in the world
   World::getInstance().signOn(this);
-  World::getInstance().signOn(this, World::getInstance().getChannel(World::AtomInserted));
-  World::getInstance().signOn(this, World::getInstance().getChannel(World::AtomRemoved));
+  World::getInstance().signOn(this, World::AtomInserted);
+  World::getInstance().signOn(this, World::AtomRemoved);
 }
 
@@ -52,6 +53,6 @@
 {
   World::getInstance().signOff(this);
-  World::getInstance().signOff(this, World::getInstance().getChannel(World::AtomInserted));
-  World::getInstance().signOff(this, World::getInstance().getChannel(World::AtomRemoved));
+  World::getInstance().signOff(this, World::AtomInserted);
+  World::getInstance().signOff(this, World::AtomRemoved);
   delete worldscene;
 }
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldView.hpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldView.hpp	(revision 6f0841afb57916ffe2e660310f1ff1062d59144a)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldView.hpp	(revision 02ce363b06a8f5ac471e055cfd494a84e197010f)
@@ -16,5 +16,5 @@
 #include <Qt3D/qglview.h>
 
-#include "CodePatterns/Observer.hpp"
+#include "CodePatterns/Observer/Observer.hpp"
 
 #include "World.hpp"
@@ -61,5 +61,5 @@
 
 
-//#include "CodePatterns/Observer.hpp"
+//#include "CodePatterns/Observer/Observer.hpp"
 //#include "LinearAlgebra/Vector.hpp"
 //#include "changetypes.hpp"
Index: src/UIElements/Views/Qt4/QtMoleculeView.hpp
===================================================================
--- src/UIElements/Views/Qt4/QtMoleculeView.hpp	(revision 6f0841afb57916ffe2e660310f1ff1062d59144a)
+++ src/UIElements/Views/Qt4/QtMoleculeView.hpp	(revision 02ce363b06a8f5ac471e055cfd494a84e197010f)
@@ -17,5 +17,5 @@
 #include <string>
 #include <QtGui/QTabWidget>
-#include "CodePatterns/Observer.hpp"
+#include "CodePatterns/Observer/Observer.hpp"
 
 class molecule;
Index: src/UIElements/Views/Qt4/QtStatusBar.hpp
===================================================================
--- src/UIElements/Views/Qt4/QtStatusBar.hpp	(revision 6f0841afb57916ffe2e660310f1ff1062d59144a)
+++ src/UIElements/Views/Qt4/QtStatusBar.hpp	(revision 02ce363b06a8f5ac471e055cfd494a84e197010f)
@@ -20,5 +20,5 @@
 #include <QtGui/QStatusBar>
 
-#include "CodePatterns/Observer.hpp"
+#include "CodePatterns/Observer/Observer.hpp"
 
 class QLabel;
Index: src/UIElements/Views/Qt4/QtWorldView.hpp
===================================================================
--- src/UIElements/Views/Qt4/QtWorldView.hpp	(revision 6f0841afb57916ffe2e660310f1ff1062d59144a)
+++ src/UIElements/Views/Qt4/QtWorldView.hpp	(revision 02ce363b06a8f5ac471e055cfd494a84e197010f)
@@ -16,5 +16,5 @@
 
 #include <QtGui/QTableWidget>
-#include "CodePatterns/Observer.hpp"
+#include "CodePatterns/Observer/Observer.hpp"
 
 class molecule;
